define([
    'text!address.html!strip'
  , 'validval'
  , 'css!address'
  ],
  function (source, validator) {
    var response = {};

    response.data = source;
    response.callback = function (self) {
      // prefix instance-ids, pass JSON
      window.App.renderGadgets(self);
    };

  // return response object
  return response;
  }
);
